/*
GERAL
*/

@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Display:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Red+Hat+Text:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap');

:root {
    --cor1: #E4002B;
    --cor2: #155CFC;
    --cor3: #E5E5E5;
    --cor4: #c3d5ff;
}

*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    font-family: 'Red Hat Text', sans-serif;
    font-weight: 400;
}

section,header{
    margin: 0 24px;
}

h1{
    margin: 0;
    padding: 0;
    font-family: 'Red Hat Display', sans-serif;
    font-weight: 900;
    font-size: 48px;
    line-height: 1;
}

h2{
    margin: 0;
    padding: 0;
    font-family: 'Red Hat Display', sans-serif;
    font-weight: 400;
    font-size: 24px;
}

p{
    margin: 0;
    padding: 0;
    font-family: 'Red Hat Text', sans-serif;
    font-size: 16px;
}

a{
    margin: 0;
    padding: 0;
    text-decoration: none;
    font-size: 16px;
    font-family: 'Red Hat Text', sans-serif;
    color: var(--cor2);
}

.cta{
    background-color: var(--cor2);
    color: #ffffff;
    font-family: 'Red Hat Display', sans-serif;
    font-weight: 900;
    padding: 24px 32px;
    border-radius: 8px;
    cursor: pointer;
    box-shadow: 0 0 16px var(--cor2);
    display: inline-block;
    transition-timing-function: ease-in-out;
    transition: .4s;
    transition-delay: .8;
}

.cta_nav{
    border: solid 1px var(--cor2);
    font-family: 'Red Hat Display', sans-serif;
    border-radius: 8px;
    padding: 16px 24px;
    font-weight: 900;
    display: inline-block;
    transition-timing-function: ease-in-out;
    transition: .4s;
    transition-delay: .8;
    color: #000;
}

.cta:hover{
    background-color: hsl(222, 97%, 42%);
}

.cta_nav:hover{
    background-color: var(--cor2);
    color: white;
}

.navactive{
    font-weight: 500;
}

img{
    display: block;
}

/*
NAVEGADOR
*/

nav{
    margin: 24px 24px;
    text-align: center;
}

nav div{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav div i{
    font-size: 32px;
    cursor: pointer;
    border: solid 1px #e5e5e5;
    padding: 0px 8px;
    border-radius: 8px;
}

.hamburguerclicado{
    background-color: #E5E5E5;
}

nav ul{
    background: #fff;
    height: 0;
    z-index: 1000;
    visibility: hidden;
    overflow-y: hidden;
    transition: .8s;
}

nav ul.open{
    height: 304px;
    visibility: visible;
} 

nav ul li a{
    display: block;
    padding: 20px 0;
    color: #000;
    transition: .4s ease;
}

.link1{
    margin-top: 20px;
}

nav ul li a:visited{
    color: #000;
}

.cta_nav{
    margin-top: 20px; 
    margin-bottom: 20px
}

/*
CABEÇALHO
*/

header{
    margin-top: 80px;
    margin-bottom: 80px;
}

header h1{
    margin-bottom: 12px;
}

header h2{
    margin-bottom: 16px;
}

/*
PROJETO
*/

#projeto{
    margin: 0;
}

#projeto img{
    display: block;
}

/*
CTA
*/

#ultima_chamada{
    text-align: center;
    margin-top: 80px;
    margin-bottom: 80px;
    padding: 160px 0;
    background-color: #F3F7FF;
    border-radius: 16px
}

#ultima_chamada h2{
    margin-bottom: 16px;
    font-weight: 900;
}

/*
MAIS PROJETOS
*/

#maisprojetos{
    margin-bottom: 80px;
}

#maisprojetos h2{
    margin-bottom: 18px;
    font-weight: 900;
    text-align: center;
}

#maisprojetos img{
    border-radius: 16px;
    width: 100%;
}

/*
RODAPÉ
*/

footer{
    display: ;
    background-color: var(--cor2);
    padding: 12px;
    text-align: center;
    color: white;
}

/*
Telas até 768px de largura
*/

@media (min-width: 576px){
    
    /*
    GERAL
    */
    
    section{
        max-width: 500px;
        margin: auto
    }
    
    header{
        max-width: 500px;
        margin-right: auto;
        margin-left: auto
    }
    
    /*
    PROJETO
    */

    #projeto{
        min-width: 100%
    }
    
}

/*
Telas até 768px de largura
*/

@media (min-width: 992px){
    
    /*
    GERAL
    */
    
    section{
        max-width: 800px
    }
    
    
    /*
    HEADER
    */
    
    header{
        max-width: 800px;
        margin: 20vh auto;
    }
    
    #introducao{
        display: flex;
        align-items: center;
    }
    
    #introducao p{
        max-width: 550px;
        margin-left: auto;
    }
    
    #introducao h1{
        font-size: 64px;
    }
    
    #introducao div{
        text-align: start;
        margin-right: 32px;
    }
    
    /*
    NAVEGADOR
    */
    
    nav{
        max-width: 840px;
        margin-right: auto;
        margin-left: auto;
    }

    nav{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    nav div i{
        display: none;
    }

    nav ul{
        display: flex;
        align-items: center;
        gap: 32px;
        height: 100%;
        visibility: visible;
    }

    nav ul li a{
        padding: 0;
    }

    .link1{
        margin-top: 0px;
    }

    .cta_nav{
        margin-top: 0px; 
        margin-bottom: 0px
    }
    
    #ultima_chamada{
        padding: 240px 0;
    }
}

@media (min-width: 1200px){
    
    /*
    GERAL
    */
    
    section{
        max-width: 1000px;
        margin: auto
    }
    
    section h2{
        font-size: 32px;
    }
}

@media (min-width: 1400px){
    
    /*
    CABEÇALHO
    */
    
    header{
        max-width: 1000px;
        margin: 25vh auto;
    }
    
    /*
    GERAL
    */
    
    section{
        max-width: 1280px
    }
    
    /*
    NAVEGAÇÃO
    */
    
    nav{
        max-width: 1120px;
    }
    
    #introducao div{
        text-align: start;
        margin-right: 64px;
    }
    
    img{
        max-width: 1920px;
        margin: auto;
    }
    
    
    
}




